Update Customer

This endpoint update details of a specific customer

Path Parameter

ParameterTypeDescription
customerIdstringThe ID of the customer to update.

Request Body
The request body should include the following parameters for updating the customer's details:

ParameterTypeDescription
firstNamestringUpdated first name of the customer.
lastNamestringUpdated last name of the customer.
emailstringUpdated email address of the customer.
phoneobjectUpdated phone information of the customer.
- phoneCountryCodestringUpdated country code of the phone number.
- phoneNumberstringUpdated phone number of the customer.
dobstringUpdated date of birth of the customer (format: "dd-mm-yyyy").
addressobjectUpdated address information of the customer.
- streetstringUpdated street address of the customer.
- street2stringUpdated additional street address of the customer.
- citystringUpdated city of the customer's address.
- statestringUpdated state of the customer's address.
- countrystringUpdated country of the customer's address.
- postalCodestringUpdated postal code of the customer's address.
bvnNumberstringUpdated bank Verification Number of the customer.
photostringUpdated URL to the customer's photo.
identityobjectUpdated identity information of the customer.
- typestringUpdated type of identity document (e.g., "vnin").
- numberstringUpdated identity document number.
- countrystringUpdated country issuing the identity document.
- imagestringUpdated URL to the identity document image.
Path Params
string
required
Body Params
string
required
string
required
string
required
phone
object
required
string
required
address
object
required
string
required
string
required
identity
object
Responses

Language
Credentials
Header
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json